tx

五折

良言难劝该死鬼,慈悲不度自绝人!
13,224
Elementary OS下面包依赖损坏的解决unmet dependencies Elementary OS下面包依赖损坏的解决unmet dependencies

笔记本上的Elementary OS因为不可知的原因无法直接安装6.0版本,于是安装了5.0再通过修改源的方式升级到了6.1。结果应用商店的系统应用更新报错了,原本这些错误是不影响日常使用的,奈何我是个“红点强迫症”,看点小红点就想去解决他。
报错信息如下:

The following packages have unmet dependencies:
libzinnia0: 冲突: libzinnia0v5 but 0.06-2.1ubuntu1 is to be installed
libldb2: 破坏: libldb1 (< 2:2~) but 2:1.2.3-1ubuntu0.2 is to be installed
libzinnia0v5: 冲突: libzinnia0 but 0.06-6ubuntu2 is to be installed
pantheon-calculator: 依赖: io.elementary.calculator but it is not going to be installed
dpkg: 破坏: libapt-pkg5.0 (< 1.7~b) but 1.6.14 is to be installed
io.elementary.videos: 破坏: audience but 2.8.4-0+pkg58~daily~ubuntu6.1.1 is to be installed
io.elementary.screenshot: 破坏: screenshot-tool but 6.0.1+r824-0+pkg29~daily~ubuntu6.1 is to be installed
libpolkit-backend-1-0: 依赖: libpolkit-gobject-1-0 (= 0.105-20ubuntu0.18.04.6) but 0.105-26ubuntu1.3 is to be installed
libedata-book-1.2-25: 依赖: libebackend-1.2-10 (= 3.28.5-0ubuntu0.18.04.3) but 3.36.5-0ubuntu1 is to be installed
libsensors-config: 冲突: libsensors4 but 1:3.4.0-4ubuntu0.1 is to be installed
libedata-cal-1.2-28: 依赖: libebackend-1.2-10 (= 3.28.5-0ubuntu0.18.04.3) but 3.36.5-0ubuntu1 is to be installed
pantheon-terminal: 依赖: io.elementary.terminal but it is not going to be installed

直接敲 sudo apt-get -f install无效,先放着把,处理了再来记录

script74@script74-TM1607:/$ sudo apt-get install io.elementary.calculator
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包将被【卸载】:
pantheon-calculator
下列【新】软件包将被安装:
io.elementary.calculator
升级了 0 个软件包,新安装了 1 个软件包,要卸载 1 个软件包,有 34 个软件包未被升级。
需要下载 67.0 kB 的归档。
解压缩后会消耗 2,048 B 的额外空间。
您希望继续执行吗? [Y/n] y
获取:1 http://ppa.launchpad.net/elementary-os/daily/ubuntu focal/main amd64 io.elementary.calculator amd64 1.6.0+r859+pkg33~daily~ubuntu6.1 [67.0 kB]
已下载 67.0 kB,耗时 1秒 (52.5 kB/s)
(正在读取数据库 ... 系统当前共安装有 221748 个文件和目录。)
正在卸载 pantheon-calculator (1.6.0+r781+pkg35~ubuntu5.1.7.1) ...
正在选中未选择的软件包 io.elementary.calculator。
(正在读取数据库 ... 系统当前共安装有 221660 个文件和目录。)
正准备解包 .../io.elementary.calculator_1.6.0+r859+pkg33~daily~ubuntu6.1_amd64.deb ...
正在解包 io.elementary.calculator (1.6.0+r859+pkg33~daily~ubuntu6.1) ...
正在设置 io.elementary.calculator (1.6.0+r859+pkg33~daily~ubuntu6.1) ...
正在处理用于 desktop-file-utils (0.24-1ubuntu3) 的触发器 ...
正在处理用于 libglib2.0-0:amd64 (2.64.6-1~ubuntu20.04.4) 的触发器 ...
正在处理用于 bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu2) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 gnome-menus (3.36.0-1ubuntu1) 的触发器 ...
正在处理用于 mime-support (3.64ubuntu1) 的触发器 ...
0 条评论
user 编辑评论信息

隐私评论

随机一言

:D 获取中...

文章目录

最新评论

随机文章

小盆友第一次露营+游泳
小盆友第一次露营+游泳 416 浏览 - 2022/10/23
DFL笔记
DFL笔记 1235 浏览 - 2022/10/15
春节好呀
春节好呀 251 浏览 - 2017/01/28
累了,歇歇就会好的(七)
累了,歇歇就会好的(七) 190 浏览 - 2014/07/27